Bug 33098 - [umbrella] Make update center work for NetBeans 3.5
[umbrella] Make update center work for NetBeans 3.5
Status: RESOLVED FIXED
Product: updatecenters
Classification: Unclassified
Component: AU Masters
3.x
All All
: P1 (vote)
: 4.x
Assigned To: Daniel Pfeffer
nbbuild-issues@ide
: UMBRELLA
Depends on: 15206 17068 17069 26437 27756 29067 30394 31764 31961 32437 32771 32774 33083 33095 33096 33097 33137 33237 33264 33614 33665 34515
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-21 17:20 UTC by Jesse Glick
Modified: 2005-02-04 14:45 UTC (History)
4 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-04-21 17:20:59 UTC
Currently the update center is rather broken for
NetBeans 3.5, and there is no master list of what
needs to be done to publish it so it looks
professional. This is an attempt to track all of
the known problems. Assigning to Trung since he is
release coordinator for this release and should
keep an eye on the status of the update center.
Comment 1 Jesse Glick 2003-04-21 17:27:11 UTC
Note that some of these issues may be bogus or have been fixed long
ago, but there was never any status update or summary. Examples:

issue #17068 - Q-build and dev updates for experimental modules
issue #17069 - daily builds of modules
issue #27756 - translatedfiles daily build
issue #31764 - handling localized NBMs

Note also that several issues relate to translated NBMs.
Comment 2 Daniel Pfeffer 2003-05-20 21:58:45 UTC
I made a general 3.5 AU review and the most critical 
issues on stable AU should be fixed. I see couple of 
PENDING items I would like to address ASAP:

1/ How should the multilanguage distribution AU look like
-----------------------------------------------------------
Tegal nbms localization is currently done so, that each 
module is repackaged for each language version (so we have 
English, Japanese,... version of each nbm)

The NB AU client doesn't allow to refer to different AU 
URLs dependent on language settings (there are just AU 
version and reg. nr. url "modifiers" ). It's maybe 
simply "localizable", but I'm not sure.
We will probably need to create localized AU centres 
(Japanese and Chinese).
>> 21 MAY 2003 (to find solution)

2/ NB AU content management process
We are missing description of processes how to handle the 
AU so it will be consistent ASAP and easier to maintain in 
future. I'm preparing proposal describing that.
>> 26 MAY 2003

3/ Some people are missing some modules,
----------------------------------------
which were in 3.4.x standard distribution and these are 
not on 3.5 AU nor standard distribution (scripting, 
apisupport).
I would like to know what's the modules status now and if 
and eventually when they can be stable again. 
(note: "apisupport" is on beta but "scripting" isn't on 
any 3.5 AU )
>> 23 MAY 2003

4/ 3.5 Beta AU centre modules categorization cleanup.
We should probably use the same categorization as in 
stable AU.
>> 23 MAY 2003

5/ What's the "tasklist" module suite status?
When can we expect it to be stable to be moved on stable 
AU?

6/ There are several third party free modules which can be 
eventually posted on NB AU. Such cases should be discussed 
and decided on aumasters@netbeans.org alias.

7/ Update the modules pages at:
http://www.netbeans.org/community/planning/35/modules.html
http://www.netbeans.org/community/planning/35/au_only_modul
es.html
>> 30 MAY 2003
Comment 3 Michal Zlamal 2004-03-17 15:00:20 UTC
Any progress?
Comment 4 Michal Zlamal 2005-02-04 14:45:33 UTC
I would say this is done or invalid now.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo